Update cash report
The comment field can even be updated on a cashreport with status CLOSED.
All other fields can only be set as long as status is not CLOSED.
Required permissions: TILL_OPERATION
put/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+cashreportUidstringRequiredPattern:
Reference to a cashreport.
^[A-Za-z0-9-_]+Body
commentstringOptional
bankDepositAmountintegerOptional
bankDepositReferencestringOptional
cashAmountintegerOptional
When till is opened this is the change amount, when closed this is the counted amount.
statusstring · enumOptionalPossible values:
Responses
200
Example response
application/json
Cash report for a till
bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired
The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)
cashRevenueAmountintegerRequired
After the till is closed the cash revenue will be calculated in this field
cashreportUidstringRequiredPattern:
^[A-Za-z0-9-_]+changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
put/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 207
{
"comment": "text",
"bankDepositAmount": 1,
"bankDepositReference": "text",
"cashAmount": 1,
"status": "OPEN",
"cashDetails": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
]
}200
Example response
{
"bankdepositAmount": 1,
"bankdepositReference": "text",
"cashDifferenceAmount": 1,
"cashRevenueAmount": 1,
"cashreportUid": "text",
"changeAmount": 1,
"closedAt": "2026-01-01T00:00:00.000Z",
"closedByDisplayName": "text",
"comment": "text",
"countedAmount": 1,
"openAt": "2026-01-01T00:00:00.000Z",
"openByDisplayName": "text",
"status": "OPEN",
"withdrawalAmount": 1,
"cashDetailsAtOpen": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"cashDetailsAtClose": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
]
}Last updated
Was this helpful?

